Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Asynch_Write_File_Result_Impl Class Reference

This is the abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_File::Result. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Write_File_Result_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Write_File_Result_Impl:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACE_Asynch_Write_File_Result_Impl (void)
## Protected Member Functions
| ACE_Asynch_Write_File_Result_Impl (void)
| Do-nothing constructor.

## Detailed Description

This is the abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_File::Result.

## Constructor & Destructor Documentation

ACE_Asynch_Write_File_Result_Impl::~ACE_Asynch_Write_File_Result_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Write_File_Result_Impl::ACE_Asynch_Write_File_Result_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.inl